# $Id: access.py 3919 2010-08-31 06:51:38Z place $
# $URL: https://svn.non-gnu.uvt.nl/uvt-dev/tags/sources/meresco/bzv-9.4.0/src/access.py $

from meresco.core import Observable
import re

class AccessException(Exception):
	pass

class RecordAccess(Observable):
	def __init__(self, infra):
		pat = infra.configRoot.get('RestrictedRecords', section = 'authorization')
		self.re = re.compile(pat)
		Observable.__init__(self)

	def checkRecordAccess(self, recordId, req):
		if self.re.match(recordId) and 'uid' not in req:
			raise AccessException(recordId)
		return None
